Status: Closed
Priority: High
Assignee:

Category:

Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Description
I'm not sure why self.abstract_class = true in Katello::Model is not disabling STI.

Associated revisions

Revision 19b8185e - 07/23/2014 05:35 AM - Joseph Magen
fixes #6596 - fixes #6596 - change 'type' method to 'system_type' in Katello::System

Revision 320daa67 - 07/23/2014 09:18 AM - Justin Sherrill
Merge pull request #4421 from isratrade/6596

fixes #6596 - change 'type' method to 'system_type' in Katello::System

History

#1 - 07/14/2014 05:25 AM - Joseph Magen

if the type of Katello::System instance is 'Host', then when working the rails console, the class type returns Host::Managed

a = Katello::System.first

a.class

=> Host::Managed

#2 - 07/14/2014 05:26 AM - Joseph Magen
- Subject changed from refactor 'type' field in Katello::System that incorrect triggers STl to ‘type’ field in Katello::System incorrectly triggers STl for
Host::Managed

#3 - 07/14/2014 08:26 AM - Ohad Levy

the main concern here, is that once you initialize a katello::system object, from rails, its actually a host::managed object.

if you perform any action on it (like changing an environment_id) it would change the host table and not the katello systems table!!

#4 - 07/14/2014 10:37 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version changed from 56 to 49

- Pull request https://github.com/Katello/katello/pull/4421 added
- Pull request deleted ()

#5 - 07/23/2014 10:01 AM - Joseph Magen
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|19b8185e435b4d2b0df8e430bec33f98be8242bf.

#6 - 08/22/2014 09:02 AM - Eric Helms

- translation missing: en.field_release set to 13
